# Workers and Resources: Soviet Republic - Save File Statistics API
![Screenshot](static/screenshot.png)

This project provides an API for accessing and visualizing statistical data from save files of the video game Workers and Resources: Soviet Republic. It's built using Flask and allows users to view and analyze their game progress.

## Features

- **Save File Monitoring**: Automatically detects and updates save files from specified directories.
- **Data Visualization**: A web interface to visualize the statistical data from the game saves.
- **API Endpoints**: Provides several API endpoints to interact with the save file data.

## Getting Started

Run `main.exe` to start. 

After running the application, you can:
- Visit `http://localhost:8000/` to see the visualization dashboard.
- Use the API endpoints to fetch or send data (refer to the API documentation section).

### API Documentation

- `GET /get-most-recent-save-data`: Fetches the most recent save data.
- `GET /get-saves`: Lists all detected save files.
- `POST /set-user-save`: Sets a specific save file for monitoring.

### Build Prerequisites

What things you need to install the software and how to install them:

- Python 3.6 or higher
- Flask
- Other dependencies (listed in `requirements.txt`)

### Installing

A step-by-step series of examples that tell you how to get a development environment running:

1. Clone the repository to your local machine.
2. Install the required packages using pip:

   ```bash
   pip install -r requirements.txt
   ```

3. Configure the save file directories in the script if necessary.

4. Run the Flask application:

   ```bash
   python main.py
   ```

5. Access the web interface at `http://localhost:8000/`.

## Acknowledgments

- Workers & Resources: Soviet Republic is developed by 3Division and published by Hooded Horse. This project is not affiliated with them in any way.
